# $Revision: 1.16 $, $Date: 2005/05/28 21:18:33 $
%define		pname	libgnome-java
Summary:	Java interface for libgnome
Summary(pl):	Wrapper Java dla libgnome
Name:		java-libgnome
Version:	2.10.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pname}/2.10/%{pname}-%{version}.tar.bz2
# Source0-md5:	c1b47338bafe4c7f89d1cb505c26a8ce
URL:		http://java-gnome.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-utils
BuildRequires:	gcc-java >= 5:3.3.2
BuildRequires:	java-gtk-devel >= 2.6.0
BuildRequires:	libgcj-devel >= 5:3.3.2
BuildRequires:	libgnomeui-devel >= 2.8.0
BuildRequires:	pkgconfig
Obsoletes:	java-gnome
Obsoletes:	libgnome-java
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java interface for libgnome.

%description -l pl
Wrapper Java dla libgnome.

%package devel
Summary:	Header files for java-libgnome library
Summary(pl):	Pliki nagwkowe biblioteki java-libgnome
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgnome-java-devel

%description devel
Header files for java-libgnome library.

%description devel -l pl
Pliki nagwkowe biblioteki java-libgnome.

%package doc
Summary:        Tutorial and examples for java-libgnome
Summary(pl):    Tutorial i przykady dla java-libgnome
Group:          Documentation

%description doc
Tutorial and examples for java-libgnome.

%description doc -l pl
Tutorial i przykady dla java-libgnome.

%prep
%setup -q -n %{pname}-%{version}

%build
%{__aclocal} -I `pkg-config --variable macro_dir gtk2-java`
%{__autoconf}
%configure \
	GCJ_JAR=`echo %{_datadir}/java/libgcj*.jar` \
	--without-javadocs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_libdir},%{_pkgconfigdir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
	
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}/examples \
        $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/examples/*.in
rm -f $RPM_BUILD_ROOT%{_docdir}/%{pname}-%{version}/{AUTHORS,COPYING,NEWS,README}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*-2.10.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomejava.so
%attr(755,root,root) %{_libdir}/libgnomejni.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_javadir}/*
%{_pkgconfigdir}/*.pc

%files doc
%defattr(644,root,root,755)
%dir %{_docdir}/%{pname}-%{version}
%doc %{_docdir}/%{pname}-%{version}/tutorial
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-libgnome.spec,v $
Revision 1.16  2005/05/28 21:18:33  freetz
- be more precise about unpackaged files

Revision 1.15  2005/05/28 21:07:43  freetz
- kill unpackaged files

Revision 1.14  2005/05/10 20:58:44  freetz
- remove unused files, cosmetics

Revision 1.13  2005/05/10 20:39:20  freetz
- 2.10.1, doc subpackage, disabled by default javadoc build, more %%files
  updated BRs

Revision 1.12  2004/12/14 16:59:57  baggins
- DON'T hardcode java paths!

Revision 1.11  2004/11/29 16:30:51  grzegol
- updated to 2.8.2

Revision 1.10  2004/11/03 19:12:29  paladine
- formatting

Revision 1.9  2004/11/02 00:57:23  grzegol
- added BR: pkgconfig

Revision 1.8  2004/11/02 00:52:08  grzegol
- merged from DEVEL and updated to 2.8.1
- removed outdated DESTDIR patch

Revision 1.7.2.5  2004/07/21 14:18:16  grzegol
- use %%{_javadir}

Revision 1.7.2.4  2004/07/21 13:53:07  grzegol
- removed BR: slocate and added epoch to gcc BRs

Revision 1.7.2.3  2004/07/21 13:41:56  grzegol
- install neccessary dirs here, not in patch (after this install.patch ->
  DESTDIR.patch)

Revision 1.7.2.2  2004/07/21 13:30:47  grzegol
- updated to 2.7.4
- added install patch (fix installation)
- removed outdated configure and version_vars patches
- cleanups

Revision 1.7.2.1  2004/07/04 21:54:23  grzegol
- updated to 2.7.2

Revision 1.7  2004/04/13 13:14:29  grzegol
- updated to 2.6.0

Revision 1.6  2004/04/07 16:40:28  grzegol
- updated to 2.5.7

Revision 1.5  2004/03/07 19:14:39  grzegol
- updated to 2.5.6
- removed outdated gcjjar patch

Revision 1.4  2004/02/21 21:20:13  grzegol
- added gcjjar patch (allow passing GCJ_JAR to configure)
- pass GCJ_JAR to configure

Revision 1.3  2004/02/19 23:55:12  grzegol
- sorted BRs

Revision 1.2  2004/02/19 23:54:07  grzegol
- added Obsoletes: java-gnome

Revision 1.1  2004/02/19 22:01:39  grzegol
- moved from libgnome-java.spec

Revision 1.2  2004/02/17 20:35:33  grzegol
- updated to 2.5.5
- removed outdated libgcj patch
- added BR: slocate

Revision 1.1  2004/02/08 22:01:03  grzegol
- new

